This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1279821 - Synchronization of a deployment unit between EJB services app and Business Central fails
Synchronization of a deployment unit between EJB services app and Business Ce...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: CR2
: 6.2.0
Assigned To: Maciej Swiderski
Radovan Synek
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 07:06 EST by Radovan Synek
Modified: 2015-12-03 07:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception stacktrace from a server log (12.21 KB, text/plain)
2015-11-10 07:06 EST, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2015-11-10 07:06:33 EST
Created attachment 1092166 [details]
exception stacktrace from a server log

Description of problem:
Having Business Central deployed together with EJB services application, synchronization of deployment units between Business Central and EJB app fails due to a failure in EJB lookup.
The EJB lookup is unsuccessful, because EJB app. created an async. work item handler which uses EJB executor to accomplish it's task. However, when the handler gets executed by Business Central, this issue shows, as there is not such EJB in Business Central.


Version-Release number of selected component (if applicable):
6.2.0.ER5

How reproducible:
often, but not every time

Steps to Reproduce:
1. deploy Business Central and EJB services app to EAP 6.4.4.GA
2. trigger deploy operation via EJB remoting
3. watch for an exception in a server log

Additional information:
Please find an example of EJB service app here [1].

[1] https://gitlab.mw.lab.eng.bos.redhat.com/bxms/brms/tree/master/jars/ejb-services-app
Comment 1 Maciej Swiderski 2015-11-10 13:28:24 EST
problem is caused by additional work item handler registration via deployment descriptor for ejb app to register async work item handlers. Since it is then stored as part of job description so it can be replicated to all server instances working with same db the special work item handler should not be saved. It is anyway registered always when deploying via ejb services so no need to persist it.

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/0689f697f71f771b014efdcc41dce22ebab37304

6.3.x:
https://github.com/droolsjbpm/jbpm/commit/e40cf76f9dd5fbedd4e7d0ad6d1f79e4578f0da4
Comment 2 Radovan Synek 2015-11-20 05:48:01 EST
The issue persists in 6.2.0.CR1
Comment 3 Maciej Swiderski 2015-11-20 07:37:55 EST
pull request created to fix the issue https://github.com/droolsjbpm/jbpm/pull/345
Comment 4 Maciej Swiderski 2015-11-23 11:37:43 EST
merged pull request that added missing bits for ejb deployment service

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/282ba1cb11b3183cace24fd9b8b992484923f604

6.3.x:
https://github.com/droolsjbpm/jbpm/commit/7b4254ca73d69773652e5883d4e01af2784d0ad7
Comment 5 Radovan Synek 2015-12-03 07:18:07 EST
Verified with BPMS-6.2.0.CR2

Note You need to log in before you can comment on or make changes to this bug.